## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemNumber::NumberFormatStringTokenizer Class Reference

This class returns tokens using non-alphanumberic characters as delimiters. More...

Collaboration diagram for ElemNumber::NumberFormatStringTokenizer:

[legend]
List of all members.

## Public Types

- typedef XalanDOMString::size_type size_type

## Public Member Functions

- NumberFormatStringTokenizer (const XalanDOMString &theString)
    Construct a NumberFormatStringTokenizer.
- void setString (const XalanDOMString &theString)
    Sets the string to tokenize.
- void reset ()
    Reset tokenizer so that nextToken() starts from the beginning.
- void nextToken (XalanDOMString &theToken)
    Retrieve the next token to be parsed.
- bool hasMoreTokens () const
    Determine if there are tokens remaining.
- size_type countTokens () const
    Count the number of tokens yet to be parsed.

## Detailed Description

This class returns tokens using non-alphanumberic characters as delimiters.

## Member Typedef Documentation

typedef XalanDOMString::size_type ElemNumber::NumberFormatStringTokenizer::size_type

## Constructor & Destructor Documentation

ElemNumber::NumberFormatStringTokenizer::NumberFormatStringTokenizer | ( | const XalanDOMString & | theString | ) |

  | Construct a NumberFormatStringTokenizer. Parameters:
  theString | string to tokenize

## Member Function Documentation

size_type ElemNumber::NumberFormatStringTokenizer::countTokens | ( |  | ) | const

| Count the number of tokens yet to be parsed. Returns: number of remaining tokens

bool ElemNumber::NumberFormatStringTokenizer::hasMoreTokens | ( |  | ) | const

| Determine if there are tokens remaining. Returns: true if there are more tokens

void ElemNumber::NumberFormatStringTokenizer::nextToken | ( | XalanDOMString & | theToken | ) |

  | Retrieve the next token to be parsed. Parameters:
  theToken | The next token string

void ElemNumber::NumberFormatStringTokenizer::reset | ( |  | ) |

| Reset tokenizer so that nextToken() starts from the beginning.

void ElemNumber::NumberFormatStringTokenizer::setString | ( | const XalanDOMString & | theString | ) |

  | Sets the string to tokenize. Parameters:
  theString | new string to tokenize

The documentation for this class was generated from the following file:

- ElemNumber.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.